Bug 1640586 - python2-manilaclient ships unnecessary executables, the package should be removed
Summary: python2-manilaclient ships unnecessary executables, the package should be rem...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-manilaclient
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-10-18 11:13 UTC by Miro Hrončok
Modified: 2019-11-05 03:30 UTC (History)
7 users (show)

Fixed In Version: python-manilaclient-1.21.1-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-07 12:59:27 UTC
zaitcev: needinfo-


Attachments (Terms of Use)

Description Miro Hrončok 2018-10-18 11:13:46 UTC
$ dnf repoquery --repo=rawhide -l python2-manilaclient | grep bin
/usr/bin/manila
/usr/bin/manila-2
/usr/bin/manila-2.7

$ dnf repoquery --repo=rawhide -l python3-manilaclient | grep bin
/usr/bin/manila-3
/usr/bin/manila-3.7


With the line of the https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal change I'd like to know:

What is the difference for the users, if they run manila-2 or manila-3? Does the Python version matter here? Note that the guidelines say:

> If the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable SHOULD be packaged, the python2 version MUST NOT be packaged.

Nothing in Fedora requires python2-manilaclient, so I'd like to drop it.
However I like to know the answers of the above questions first.

If the answer is "no difference", please drop the package.

Comment 1 Miro Hrončok 2018-10-28 21:38:42 UTC
I'll assume the removal is OK.


Note You need to log in before you can comment on or make changes to this bug.